[Deprecated]: V1
get
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/subjects/events
Deprecated: Retrieves all events for all subjects within the specified study and mode. Can restrict to events of a particular type that occurred within a specified date range. For example, you can retrieve a list of all screening events that took place in the previous month.
Rights: DataCaptureSubjectIntegrationGet and SubjectDataClassificationGet. API has been deprecated and moved to DIS (Data Integration Service), Path: /ec-dataintegration-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/events
Rights: DataCaptureSubjectIntegrationGet and SubjectDataClassificationGet. API has been deprecated and moved to DIS (Data Integration Service), Path: /ec-dataintegration-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/events
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.Example:
test -
studyId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
ABCDEF1234567890ABCDEF1234567890
Query Parameters
-
endDate: string(date-time)
The ending date and time (optional) for which you want to get events. If you don't specify the time, the date range stops before midnight (23:59:59 UTC) for the specified date. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, dd-MMM-yyyy HH:mm, or dd-MMM-yyyy.
-
events: array[string]
The type of event you want to retrieve. Accepts (case-sensitive): New, Screened, Randomized, Withdrawn, Undo_Withdrawn, Transferred, Screen_Failed, Code_Break, Complete, Undo_Complete, Undo_ScrFailed, Visit_Complete, or DataElement_Change. You can specify more than one event type by repeating this parameter with different values.
-
startDate: string(date-time)
The starting date and time (optional) for which you want to get events. If you don't specify the time, the date range begins after midnight (UTC) for the specified date. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, dd-MMM-yyyy HH:mm, or dd-MMM-yyyy.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Subjects success.
Root Schema : SubjectEventsInfoDto
Type:
objectContainer for subject event details within a study and mode, including a list of event entries per subject.
Show Source
-
events: array
events
List of event entries including event id and associated subjects
-
mode: string
Mode of the study, accepts: test, active, or training.Example:
active -
studyId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
ABCDEF1234567890ABCDEF1234567890 -
tenant: string
Tenant identifierExample:
TENANT-A
Nested Schema : events
Type:
arrayList of event entries including event id and associated subjects
Show Source
-
Array of:
object SubjectEventInfoDto
Event summary including the event identifier and the list of associated subject identifiers.
Nested Schema : SubjectEventInfoDto
Type:
objectEvent summary including the event identifier and the list of associated subject identifiers.
Show Source
-
eventId: string
Event associated with the Subject. The acceptable values are - SubjectNumberReplaced, SubjectNumberChanged, Enrolled, New, Randomized, Complete, Undo_Withdrawn, Screened, Transferred, Screen_Failed, Visit_Complete, VisitDispensed, VisitRandomized and VisitScreenedExample:
SubjectNumberReplaced -
subjects: array
subjects
List of subject identifiers associated with the event
Nested Schema : subjects
Type:
arrayList of subject identifiers associated with the event
Show Source
-
Array of:
string(uuid)
List of subject identifiers associated with the event
Example:
[
"1BC29B36F5D64B1B95F4BDBBCEA481BE",
"93CC828113AC439181071CB44D2C6FE5"
]400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object